petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexCreateSection

Create a PetscSection based upon the dof layout specification provided.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateSection(DM dm, PetscInt dim, PetscInt numFields,const PetscInt numComp[],const PetscInt numDof[], PetscInt numBC,const PetscInt bcField[], const IS bcComps[], const IS bcPoints[], IS perm, PetscSection *section)

Not Collective Many br

### Input Parameters

| dm | - The DMPlex object Many br
| dim | - The spatial dimension of the problem Many br
| numFields | - The number of fields in the problem Many br
| numComp | - An array of size numFields that holds the number of components for each field Many br
| numDof | - An array of size numFields*(dim+1) which holds the number of dof for each field on a mesh piece of dimension d Many br
| numBC | - The number of boundary conditions Many br
| bcField | - An array of size numBC giving the field number for each boundry condition Many br
| bcComps | - [Optional] An array of size numBC giving an IS holding the field components to which each boundary condition applies Many br
| bcPoints | - An array of size numBC giving an IS holding the Plex points to which each boundary condition applies Many br
| perm | - Optional permutation of the chart, or NULL Many br

### Output Parameter

section -The PetscSection object Many br

Notes: numDof[f*(dim+1)+d] gives the number of dof for field f on sieve points of dimension d. For instance, numDof[1] is the Many brnumber of dof for field 0 on each edge. Many br

The chart permutation is the same one set using PetscSectionSetPermutation() Many br

Many br

### Fortran Notes

A Fortran 90 version is available as DMPlexCreateSectionF90() Many br

### Keywords

mesh, elements

### See Also

DMPlexCreate(), PetscSectionCreate(), PetscSectionSetPermutation()

Level:developer
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/impls/plex/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex1f90.F.html